Custom Query (24763 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (46 - 48 of 24763)

Ticket Resolution Summary Owner Reporter
#32566 duplicate nyx not starting atagar cypherpunks
Description

Nyx is not starting up after providing the control port password it reports:

% nyx
Tor controller password:
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/stem/connection.py", line 370, in _connect_auth
    authenticate(control_socket, password, chroot_path)
  File "/usr/lib/python3.8/site-packages/stem/connection.py", line 625, in authenticate
    raise auth_exc
stem.connection.MissingPassword: no passphrase provided

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/nyx", line 11, in <module>
    load_entry_point('nyx==2.1.0', 'console_scripts', 'nyx')()
  File "/usr/lib/python3.8/site-packages/nyx/__init__.py", line 176, in main
    nyx.starter.main()
  File "/usr/lib/python3.8/site-packages/stem/util/conf.py", line 289, in wrapped
    return func(*args, config = config, **kwargs)
  File "/usr/lib/python3.8/site-packages/nyx/starter.py", line 90, in main
    controller = init_controller(
  File "/usr/lib/python3.8/site-packages/nyx/__init__.py", line 325, in init_controller
    TOR_CONTROLLER = stem.connection.connect(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/stem/connection.py", line 291, in connect
    return _connect_auth(control_connection, password, password_prompt, chroot_path, controller)
  File "/usr/lib/python3.8/site-packages/stem/connection.py", line 404, in _connect_auth
    return _connect_auth(control_socket, password, password_prompt, chroot_path, controller)
  File "/usr/lib/python3.8/site-packages/stem/connection.py", line 375, in _connect_auth
    return controller(control_socket, is_authenticated = True)
  File "/usr/lib/python3.8/site-packages/stem/control.py", line 1057, in __init__
    super(Controller, self).__init__(control_socket, is_authenticated)
  File "/usr/lib/python3.8/site-packages/stem/control.py", line 585, in __init__
    self._post_authentication()
  File "/usr/lib/python3.8/site-packages/stem/control.py", line 3902, in _post_authentication
    owning_pid = self.get_conf('__OwningControllerProcess', None)
  File "/usr/lib/python3.8/site-packages/stem/control.py", line 2170, in get_conf
    entries = self.get_conf_map(param, default, multiple)
  File "/usr/lib/python3.8/site-packages/stem/control.py", line 2273, in get_conf_map
    for key in reply:
RuntimeError: dictionary keys changed during iteration

If the wrong password is provided I get the usual answer:

% nyx
Tor controller password: 
Incorrect password

These are the used software versions

% python --version
Python 3.8.0
% nyx --version
nyx version 2.1.0 (released January 12, 2019)
% uname -a
Linux archarm 4.19.84-1-ARCH #1 SMP PREEMPT Thu Nov 21 00:50:40 UTC 2019 armv7l GNU/Linux

I also get the same error with archlinux x86_64 (kernel 5.3.12) with the same python and nyx versions

#32562 fixed Allow ONION_CLIENT_AUTH_ADD credentials to be made permanent asn
Description

The Permanent flag of ONION_CLIENT_AUTH_ADD is not implemented yet.

#32559 wontfix Travis: run chutney with clang for better diagnostics teor teor
Description

In #32555 and #32427, we discovered that clang picks up some memory errors, but gcc does not.

Note: See TracQuery for help on using queries.